Package org.jbpm.casemgmt.impl.audit

## Class CaseFileDataLogDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<CaseFileDataLogDeleteBuilder>
      - - org.jbpm.casemgmt.impl.audit.CaseFileDataLogDeleteBuilderImpl

- All Implemented Interfaces:
    `CaseFileDataLogDeleteBuilder`, `org.kie.internal.query.ParametrizedQueryBuilder<CaseFileDataLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<CaseFileDataLogDeleteBuilder>`

      public class CaseFileDataLogDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<CaseFileDataLogDeleteBuilder>
      implements CaseFileDataLogDeleteBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `AbstractAuditDeleteBuilderImpl.Subquery`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `deploymentId, executor, jpaAuditService, recordsPerTransaction, statuses`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseFileDataLogDeleteBuilderImpl​(JPAAuditLogService jpaService)` |
    `CaseFileDataLogDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AbstractAuditDeleteBuilderImpl.Subquery` | `applyParameters​(AbstractAuditDeleteBuilderImpl.Subquery subquery)` |
    `CaseFileDataLogDeleteBuilder` | `dateRangeEnd​(Date rangeStart)` |
    `protected String` | `getQueryTable()` |
    `protected Class<?>` | `getQueryType()` |
    `protected AbstractAuditDeleteBuilderImpl.Subquery` | `getSubQuery()` |
    `CaseFileDataLogDeleteBuilder` | `inCaseDefId​(String caseDefId)` |
    `protected boolean` | `isSubquerySupported()` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `build, checkIfNull, date, dateRangeStart, ensureDateNotTimestamp, getJpaAuditLogService, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### CaseFileDataLogDeleteBuilderImpl

          public CaseFileDataLogDeleteBuilderImpl​(JPAAuditLogService jpaService)

    - #### CaseFileDataLogDeleteBuilderImpl

          public CaseFileDataLogDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### dateRangeEnd

          public CaseFileDataLogDeleteBuilder dateRangeEnd​(Date rangeStart)

      Specified by:
        `dateRangeEnd` in interface `CaseFileDataLogDeleteBuilder`
      Overrides:
        `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<CaseFileDataLogDeleteBuilder>`

    - #### isSubquerySupported

          protected boolean isSubquerySupported()

      Overrides:
        `isSubquerySupported` in class `AbstractAuditDeleteBuilderImpl<CaseFileDataLogDeleteBuilder>`

    - #### getSubQuery

          protected AbstractAuditDeleteBuilderImpl.Subquery getSubQuery()

      Overrides:
        `getSubQuery` in class `AbstractAuditDeleteBuilderImpl<CaseFileDataLogDeleteBuilder>`

    - #### applyParameters

          protected AbstractAuditDeleteBuilderImpl.Subquery applyParameters​(AbstractAuditDeleteBuilderImpl.Subquery subquery)

      Overrides:
        `applyParameters` in class `AbstractAuditDeleteBuilderImpl<CaseFileDataLogDeleteBuilder>`

    - #### inCaseDefId

          public CaseFileDataLogDeleteBuilder inCaseDefId​(String caseDefId)

      Specified by:
        `inCaseDefId` in interface `CaseFileDataLogDeleteBuilder`

    - #### getQueryType

          protected Class<?> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<CaseFileDataLogDeleteBuilder>`

    - #### getQueryTable

          protected String getQueryTable()

      Specified by:
        `getQueryTable` in class `AbstractAuditDeleteBuilderImpl<CaseFileDataLogDeleteBuilder>`